## Index

### Modules

- "dgram"

### Classes

- AckBuffers
- BroadcastNetwork
- DynamicUnicastNetwork
- MsgBuffer
- MulticastNetwork
- MulticastNetworkInternal
- Network

### Type aliases

- NetworkOptions

### Variables

- hostName

### Functions

- decrypt
- encrypt

## Type aliases

### NetworkOptions

NetworkOptions: object

- Defined in network.ts:15

#### Type declaration

- ##### address: string

- ##### Optional dictionary?: string[]

- ##### instanceUuid: string

- ##### key: string | null

- ##### port: number

- ##### reuseAddr: boolean

## Variables

### hostName

hostName: string = os.hostname()

- Defined in network.ts:13

## Functions

### decrypt

- decrypt(data: Buffer, key: string): Buffer

- - Defined in network.ts:413

  #### Parameters

  - ##### data: Buffer

  - ##### key: string

  #### Returns Buffer

### encrypt

- encrypt(data: Buffer, key: string): Buffer

- - Defined in network.ts:405

  #### Parameters

  - ##### data: Buffer

  - ##### key: string

  #### Returns Buffer

Generated using TypeDoc